Subject: Re: bug#45162: 28.0.50; Messages scrambled by socks-filter

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 11 Dec 2020 16:37:14 +0100

"J.P." <[email-masked]> writes:

> Rather than try to explain, I've included a throwaway before/after test
> showing current and expected behavior, as well as a small patch that
> seems to fix the issue. If this is all nonsense, please forgive me. I am
> no expert, just a grateful end user.

Thanks; the patch makes sense to me, so I've applied it to Emacs 28.

This change was small enough to apply without assigning copyright to the
FSF, but for future patches you want to submit, it might make sense to
get the paperwork started now, so that subsequent patches can be applied
speedily. Would you be willing to sign such paperwork?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no